Linux 上搭建饥荒联机版 Don't Starve Together 个人服务器搭建教程

下载.jpg     
  
前言
   这里要说的是STEAM正版用户联机服务器搭建方法。如果你还没购买正版,或者是购买了TGP版本的饥荒,那么应该是无法使用这里的搭建步骤进行搭建和游玩的。

服务器 Linux 环境配置
这里我使用的是Ubuntu系统,你可以根据不同的环境来安装不同的依赖库
Ubuntu 64 位环境:
sudo apt-get install libstdc++6:i386 libgcc1:i386 libcurl4-gnutls-dev:i386
Ubuntu 32 位环境:
sudo apt-get install libstdc++6 libgcc1 libcurl4-gnutls-dev

安装STEAMCMD命令行平台及游戏包

下载安装SteamCMD:
mkdir ~/steamcmd
cd ~/steamcmd
wget http://media.steampowered.com/installer/steamcmd_linux.tar.gz
也可以选择安装精简版 SteamCMD:
wget https://steamcdn-a.akamaihd.net/client/installer/steamcmd_linux.tar.gz
解压并运行安装shell:
tar -xvzf steamcmd_linux.tar.gz
./steamcmd.sh
在steam>模式下,登录及安装游戏包
login anonymous
force_install_dir ../dstserver
app_update 343050 validate
quit
上面的命令中,第一行以匿名方式登录,当然你也可以登录你自己的 SteamID,然后第三行的343050是 Don't Starve Together 在 Steam 平台中的 ID。
等待更新结束后,平台和游戏包就安装好了,已经完成了一半的工作,接下来是配置了。
配置 Don't Starve Together服务端
生成默认配置文件
cd ~/dstserver/bin
./dontstarve_dedicated_server_nullrenderer
当你看到显示以下文字
[200] Account Failed (6): "E_INVALID_TOKEN"
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
!!!! Your Server Will Not Start !!!!
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
按 Ctrl+C 中断,然后完善生成的默认配置
设置 Token
这里由于搭建的Steam的正版服务器,需要在游戏中获取到一个Token值,先进入Don't Starve Together游戏,然后选择我的资料,在弹出的页下方可以生成 token,复制到 cluster_token.txt 中
cd ~/.klei/DoNotStarveTogether/MyDediServer
vi cluster_token.txt
粘贴后保存该文件
设置服务器全局配置

cd ~/.klei/DoNotStarveTogether/MyDediServer
vi cluster.ini
填入以下内容:
[GAMEPLAY]
game_mode = survival
max_players = 6
pvp = false
pause_when_empty = true
[NETWORK]
cluster_description = KTSee.com DST Server
cluster_name = KTSee.com DST Server
cluster_intention = cooperative
cluster_password = 
[MISC]
console_enabled = true
[SHARD]
shard_enabled = true
bind_ip = 127.0.0.1
master_ip = 127.0.0.1
master_port = 10889
cluster_key = supersecretkey
注意上面的cluster_name是服务器房间名,cluster_password是服务器房间密码,可以自行修改.
设置局部配置

cd ~/.klei/DoNotStarveTogether/MyDediServer/Master
vi server.ini
填入
[NETWORK]
server_port = 11000
[SHARD]
is_master = true
[STEAM]
master_server_port = 27018
authentication_port = 8768
修改改洞穴部分
cd ~/.klei/DoNotStarveTogether/MyDediServer/Caves
vi server.ini
填入
[NETWORK]
server_port = 11001
[SHARD]
is_master = false
name = Caves
[STEAM]
master_server_port = 27019
authentication_port = 8769
增加 Mod(可选)

这里只加载了一个全局地图定位的 Mod,加载其它可以根据 Steam 社区中 Mod 地址 URL 中的 ID 替换
创建下载 Mod 的脚本
cd ~/.klei/DoNotStarveTogether/MyDediServer
vi dedicated_server_mods_setup.lua
填入
ServerModSetup("378160973")
--ServerModCollectionSetup("id")
创建 Mod 配置文件
cd ~/.klei/DoNotStarveTogether/MyDediServer/Master
vi modoverrides.lua
填入
return {
["workshop-378160973"] = { enabled = true }
}
创建洞穴部分的配置文件
cd ~/.klei/DoNotStarveTogether/MyDediServer/Caves
vi modoverrides.lua
填入
return {
["workshop-378160973"] = { enabled = true }
}
启动服务器

创建启动服务器脚本
cd ~/
vi rundst.sh
填入
#!/bin/bash
steamcmd_dir="$HOME/steamcmd"
install_dir="$HOME/dontstarvetogether_dedicated_server"
cluster_name="MyDediServer"
dontstarve_dir="$HOME/.klei/DoNotStarveTogether"
function fail()
{
        echo Error: "$@" >&2
        exit 1
}
function check_for_file()
{
    if [ ! -e "$1" ]; then
            fail "Missing file: $1"
    fi
}
cd "$steamcmd_dir" || fail "Missing $steamcmd_dir directory!" # TODO
check_for_file "steamcmd.sh"
check_for_file "$dontstarve_dir/$cluster_name/cluster.ini"
check_for_file "$dontstarve_dir/$cluster_name/cluster_token.txt"
check_for_file "$dontstarve_dir/$cluster_name/Master/server.ini"
check_for_file "$dontstarve_dir/$cluster_name/Caves/server.ini"
./steamcmd.sh +force_install_dir "$install_dir" +login anonymous +app_update 343050 validate +quit
check_for_file "$install_dir/bin"
cd "$install_dir/bin" || fail 
run_shared=(./dontstarve_dedicated_server_nullrenderer)
run_shared+=(-console)
run_shared+=(-cluster "$cluster_name")
run_shared+=(-monitor_parent_process $$)
run_shared+=(-shard)
"${run_shared[@]}" Caves  | sed 's/^/Caves:  /' &
"${run_shared[@]}" Master | sed 's/^/Master: /'
以上内容如果不会使用vi也可以本地创建后上传
给予脚本执行的权限
chmod u+x ~/rundst.sh
接着创建screen,cd到你存放shell的位置执行脚本。
screen -S jh
./rundst.sh

资料参考:http://forums.kleientertainment.com/topic/64441-dedicated-server-quick-setup-guide-linux/

本博客所有文章如无特别注明均为原创。作者:战地黑鹰复制或转载请以超链接形式注明转自 战地黑鹰博客
原文地址《Linux 上搭建饥荒联机版 Don't Starve Together 个人服务器搭建教程
分享到:更多

相关推荐